Subject: IPP> REQ Driver download in/out of IPP -Reply

From: "Scott A. Isaacson" <[email-masked]>
Date: Fri, 17 Jan 1997 10:19:14 -0700

Pete,

I agree with most of what you said.  Some comments though:

>>> Zehler,Peter <[email-masked]> 01/16/97 02:13pm >>>
> 3)  I see no need for a device ID.  Does it provide information
> beyond make and model.

The make and model attribute was just a free form string that could be
filled in by any manufacturer the way they wanted (or for that matter an
admin).  This is not formal enough to find the correct driver.  The IEEE
1284 Device Id is a formal syntax, hence it is useful for prgrammatically
or algorithmically finding the correct driver.  Should we just force some
formal syntax to the make and model attribute?

>>> Zehler,Peter <[email-masked]> 01/16/97 02:13pm >>>
> 4)  I am in favor of adding an attribute to the printer that will 
>  indicate the URL for a  driver installer.  An HTTP request can be
> directed to the URL  to retrieve the appropriate driver installer. 
>  The complexity of the installer  can be left up to
> the OS and printer venders.  (e.g. INF file, self extracting 
>  zip file, internet aware script, ActiveX, Java)

This is an important point.  A URL to the installer, not the driver itself!

***********************************************************
Scott A. Isaacson
Print Services Consulting Engineer
Novell Inc., 122 E 1700 S, Provo, UT 84606
V: (801) 861-7366, (800) 453-1267 x17366
F: (801) 861-4025, E: [email-masked]
W: http://www.novell.com
************************************************************